---
title: box-direction
slug: Web/CSS/box-direction
tags:
  - CSS
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<p>{{CSSRef}}{{Non-standard_header}}</p>

<div class="notecard warning">
<p>This is a property of the original CSS Flexible Box Layout Module draft, and has been replaced by a newer standard. The <code>-moz-box-direction</code> will only be used for XUL while the previous standard <code>box-direction</code> has been replaced by <code>flex-direction</code>. See <a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Using_CSS_flexible_boxes">flexbox</a> for information about the current standard.</p>
</div>

<p>The <strong><code>box-direction</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies whether a box lays out its contents normally (from the top or left edge), or in reverse (from the bottom or right edge).</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
box-direction: normal;
box-direction: reverse;

/* Global values */
box-direction: inherit;
box-direction: initial;
box-direction: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>box-direction</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>The box lays out its contents from the start (the left or top edge).</dd>
 <dt><code>reverse</code></dt>
 <dd>The box lays out its contents from the end (the right or bottom edge).</dd>
</dl>

<h2 id="Notes">Notes</h2>

<p>The edge of the box designated the <em>start</em> for layout purposes depends on the box's orientation:</p>

<table class="standard-table" style="text-align: center;">
 <tbody>
  <tr>
   <th style="text-align: right;"><strong>Horizontal</strong></th>
   <td>left</td>
  </tr>
  <tr>
   <th style="text-align: right;"><strong>Vertical</strong></th>
   <td>top</td>
  </tr>
 </tbody>
</table>

<p>The edge opposite to the start is designated the <em>end</em>.</p>

<p>If the direction is set using the element's <code>dir</code> attribute, then the style is ignored.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_box_direction">Setting box direction</h3>

<pre class="brush:css notranslate">.example {
  /* bottom-to-top layout */
  -moz-box-direction: reverse;      /* Mozilla */
  -webkit-box-direction: reverse;   /* WebKit */
  box-direction: reverse;           /* As specified */
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.box-direction")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("box-orient")}}</li>
 <li>{{CSSxRef("box-pack")}}</li>
 <li>{{CSSxRef("box-align")}}</li>
 <li>{{CSSxRef("flex-direction")}}</li>
</ul>
